// Translate UEQ to i2c address

module i2c_addr_ctl(
	input                  i2c_a0,
	input                  i2c_a1,

	output reg     [7:0]   addr
	);

//reg [6:0] addr;

always @(*)
	case({i2c_a1,i2c_a0})
		'b00: addr = 8'h52;
		'b01: addr = 8'h62;
		'b10: addr = 8'he0;
		'b11: addr = 8'hf0;
		endcase

endmodule


